- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.ListAnnouncementsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements/list#body.aspect_1)

**Full name**: projects.locations.instances.announcements.list

Lists announcements for a specific instance. Supports pagination and ordering by title or creation time, allowing users to browse through active and past platform announcements.

### HTTP request

`GET https://{endpoint}/v1/{parent}/announcements`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list Announcements for. Format: projects/{project}/locations/{location}/instances/{instance}/announcements |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of Announcements to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `announcements.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `announcements.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied over multiple Announcement fields. Only the following filters are allowed: |
| `orderBy` | `string` Optional. Configures ordering of Announcements in the response. If not specified, Announcements are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. For example: "createTime desc, updateTime" Supported fields: \* `order` \* `displayName` |

### Request body

The request body must be empty.

### Response body

Response message for announcements.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "announcements": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements#Announcement`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `announcements[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.announcements#Announcement`)`` The list of Announcements. |
| `nextPageToken` | `string` A page token, received from a previous `announcements.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `announcements.list` must match the call that provided the page token. |
| `totalSize` | `integer` Total number of Announcements. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.announcements.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).